# List terms

Retrieves a paginated list of terms within an attribute.

Endpoint: GET /v1/attributes/{attributeUuid}/terms
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `attributeUuid` (string, required)
    The unique identifier of the attribute.

## Query parameters:

  - `uuids[eq]` (array)

  - `codes[eq]` (array)

  - `code[contains]` (string)

  - `code[starts]` (string)

  - `code[ends]` (string)

  - `code[order]` (string)

  - `displayNames[eq]` (array)

  - `displayName[contains]` (string)

  - `displayName[starts]` (string)

  - `displayName[ends]` (string)

  - `displayName[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

  - `include[contents]` (boolean)

  - `expand[contents]` (boolean)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this term.

  - `items.attributeUuid` (string, required)
    Unique identifier of the parent attribute.

  - `items.createdAt` (string, required)
    Timestamp when this term was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this term was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.code` (string, required)
    Code for this term.

  - `items.displayName` (string, required)
    The display name of the term.

  - `items.contentUuids` (array,null)
    List of content UUIDs associated with this term. Only populated when include[contents]=true.

  - `items.contents` (array,null)
    List of locale-specific content for this term. Only populated when expand[contents]=true.

  - `items.contents.uuid` (string, required)
    Unique identifier for this term content.

  - `items.contents.attributeUuid` (string, required)
    Identifier of the attribute this term belongs to.

  - `items.contents.attributeTermUuid` (string, required)
    Identifier of the attribute term this content belongs to.

  - `items.contents.localeUuid` (string, required)
    Identifier of the locale this content is localized for.

  - `items.contents.createdAt` (string, required)
    Timestamp when this term content was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.contents.updatedAt` (string, required)
    Timestamp when this term content was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.contents.label` (string, required)
    Localized display label for the term.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


